const defaultTheme = require('tailwindcss/defaultTheme');

module.exports = {
  purge: {
      content: [
      '../../public/*.html',
      '../../public/**/*.html',
    ],
    safelist: [
      '.modal-overlay',
      '.modal',
      '.modal-header',
      '.modal-title',
      '.modal-closer',
      '.modal-body',
      'closed',
    ]
  },
  darkMode: false, // or 'media' or 'class'
  theme: {
    flex: {
      '1': '1 1 0%',
      auto: '1 1 auto',
      initial: '0 1 auto',
      none: 'none',
      '1-1/4': '1 1 25%',
      '1-1/3': '1 1 33.3333333%',
      '1-1/2': '1 1 50%',
    },
    screens: {
      'xs': '400px',
      ...defaultTheme.screens,
    },
  },
  variants: {
    extend: {
      fontSize: ["hover"],
      lineHeight: ["hover"]
    },
  },
  plugins: [],
}
